### Method

# Gtk.Widget.get_native

#### Declaration [src]

    GtkNative*
    gtk_widget_get_native (
      GtkWidget* widget
    )

#### Description [src]

Returns the `GtkNative` widget that contains `widget`.

This function will return `NULL` if the widget is not contained inside a widget tree with a native ancestor.

`GtkNative` widgets will return themselves here.

#### Return value

Returns: `GtkNative`
the `GtkNative` widget of `widget`, or `NULL`
Ownership is not transferred to the caller
Can be `NULL`